Subject: Re: linux-next: build failure after merge of the net-next tree

From: Christian Riesch <[email-masked]>
Date: Fri, 20 Jul 2012 05:21:45 +0200

[Sent again due to problems with email client]

Hi,

On 07/20/2012 04:01 AM, Stephen Rothwell wrote:
> Hi all,
>
> After merging the net-next tree, today's linux-next build (powerpc
> pmac32_defconfig) failed like this:
>
> ERROR: "phy_disconnect" [drivers/net/usb/asix.ko] undefined!
> ERROR: "phy_stop" [drivers/net/usb/asix.ko] undefined!
> ERROR: "phy_ethtool_gset" [drivers/net/usb/asix.ko] undefined!
> ERROR: "mdiobus_unregister" [drivers/net/usb/asix.ko] undefined!
> ERROR: "phy_start_aneg" [drivers/net/usb/asix.ko] undefined!
> ERROR: "phy_print_status" [drivers/net/usb/asix.ko] undefined!
> ERROR: "phy_start" [drivers/net/usb/asix.ko] undefined!
> ERROR: "mdiobus_free" [drivers/net/usb/asix.ko] undefined!
> ERROR: "mdiobus_register" [drivers/net/usb/asix.ko] undefined!
> ERROR: "genphy_resume" [drivers/net/usb/asix.ko] undefined!
> ERROR: "phy_connect" [drivers/net/usb/asix.ko] undefined!
> ERROR: "phy_mii_ioctl" [drivers/net/usb/asix.ko] undefined!
> ERROR: "phy_ethtool_sset" [drivers/net/usb/asix.ko] undefined!
> ERROR: "mdiobus_alloc_size" [drivers/net/usb/asix.ko] undefined!
>
> Caused by commit 16626b0cc3d5 ("asix: Add a new driver for the AX88172A")
> and reverting that commit fixes the build.

Sorry about that. I missed the dependency of the new driver on phylib. A 
fix for this problem is already in net-next, see commit 215029375c83.

Thanks, Christian

>
> Thanks to Mikey for reporting this porblem.